extern "C" {
	#include <stdio.h>
	#include <stdlib.h>
	#include "Fusion_main.h"
	#include "Fusion_SLAM_types.h"
	#include "SimUtils.h"
	#include "TueObjFusn_TrackableListProps.h"
	#include "TueObjFusn_ObjectListProps.h"
	#include "TueObjFusn_MatchIndex.h"
	#include "tue_prv_common_matrix.h"
	#include "fusion_ext.h"
}

class CCameraObjectsConcatenator
{
private:
	static inline uint LastObjId_inConcat = 0;
public:
    static void concatenate_camera_objs(
        Camera_input_lists* const E_Cameratemp,
        boolean IsItBase,
        const Camera_input_lists* const SmallCameratemp,
		uint NumOfObjs_ConcatIn
    )
    {
    	if (IsItBase) {
			E_Cameratemp->Cameraobjlists[0].last_measure_update_timestamp_ns = SmallCameratemp->Cameraobjlists[0].last_measure_update_timestamp_ns;
			LastObjId_inConcat = 0;
		}

		for (int i = LastObjId_inConcat; i < (LastObjId_inConcat + NumOfObjs_ConcatIn); i++)
		{
			E_Cameratemp->Cameraobjlists[0].Objects[i] = SmallCameratemp->Cameraobjlists[0].Objects[i- LastObjId_inConcat];
		}
		LastObjId_inConcat = LastObjId_inConcat+NumOfObjs_ConcatIn;
    };
};
